Name:           cachefilesd
Version:        0.10.10
Release:        6
Summary:        CacheFiles user-space management daemon
Group:          System Environment/Daemons
License:        GPLv2+
URL:            http://people.redhat.com/~dhowells/fscache/
Source0:        http://people.redhat.com/dhowells/fscache/cachefilesd-%{version}.tar.bz2

BuildRequires:  gcc systemd-units git
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Requires: selinux-policy-base >= 3.7.19-5

%description
The cachefilesd daemon manages the caching files and directory that are that
are used by network file systems such a AFS and NFS to do persistent caching to
the local disk.

%package  help
Summary:Files for cachefilesd help

%description help
Files for cachefilesd help

%prep
%autosetup -n %{name}-%{version} -S git -p1

%build
make all CFLAGS="-Wall -Werror $RPM_OPT_FLAGS $RPM_LD_FLAGS $ARCH_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_mandir}/{man5,man8}
mkdir -p %{buildroot}%{_localstatedir}/cache/fscache
make DESTDIR=%{buildroot} install \
        ETCDIR=%{_sysconfdir} \
        SBINDIR=%{_sbindir}\
        MANDIR=%{_mandir}\
        CFLAGS="-Wall $RPM_OPT_FLAGS -Werror"

install -m    644 cachefilesd.conf %{buildroot}%{_sysconfdir}
install -D -m 644 cachefilesd.service %{buildroot}%{_unitdir}/cachefilesd.service

%post
%systemd_post cachefilesd.service

%preun
%systemd_preun cachefilesd.service

%postun
%systemd_postun_with_restart cachefilesd.service

%files
%doc README selinux/*
%config(noreplace) %{_sysconfdir}/cachefilesd.conf
%{_sbindir}/*
%{_unitdir}/*
%{_localstatedir}/cache/fscache

%files help
%{_mandir}/*/*

%changelog
* Fri Sep 6 2019 sunshihao<sunshihao@huawei.com> - 0.10.10-6
- Type:enhancemnet
- ID:NA
- SUG:restart
- DESCi:openEuler Debranding.

- Package Init

